corda / net.corda.node.services.transactions / PersistentUniquenessProvider

# PersistentUniquenessProvider

`@ThreadSafe class PersistentUniquenessProvider : UniquenessProvider, SingletonSerializeAsToken`

A RDBMS backed Uniqueness provider

### Constructors

<init> | `PersistentUniquenessProvider()` A RDBMS backed Uniqueness provider

### Functions

commit | `fun commit(states: List<StateRef>, txId: SecureHash, callerIdentity: Party): Unit` Commits all input states of the given transaction

### Inherited Functions

toToken | `open fun toToken(context: SerializeAsTokenContext): SerializationToken`